# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'mongoid/active_record/eager_loadable/version'

Gem::Specification.new do |spec|
  spec.name          = "mongoid-activerecord-eagerloadable"
  spec.version       = Mongoid::ActiveRecord::EagerLoadable::VERSION
  spec.authors       = ["pklingem"]
  spec.email         = ["pklingemann@articulate.com"]
  spec.description   = %q{Mongoid to ActiveRecord belongs to assocations with eager-loading}
  spec.summary       = %q{A Mongoid::Document mixin for creating "belongs to" associations with ActiveRecord models with eager-loading}
  spec.homepage      = "http://github.com/articulate/mongoid-activerecord-eagerloadable"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "mongoid", "~> 3.1"
  spec.add_dependency "activerecord", "~> 3.2"
  spec.add_dependency "activesupport", "~> 3.2"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "sqlite3"
end
